import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/Admin/index',
    method: 'get',
    params: query
  })
}

export function fetchAdmin(id) {
  return request({
    url: '/Admin/read',
    method: 'get',
    params: { id }
  })
}

export function createAdmin(data) {
  return request({
    url: '/Admin/save',
    method: 'post',
    data
  })
}

export function updateOpenArea(data) {
  return request({
    url: '/Admin/update?id=' + data.id,
    method: 'post',
    data
  })
}

export function deleteOpenArea(id) {
  return request({
    url: '/OpenArea/delete?id=' + id,
    method: 'get'
  })
}
